#!/usr/bin/env python
# -*- coding:utf-8 -*-
import os
import sys
import re
import pwd
import subprocess
from utils import playbook

if sys.version_info < (3,):
    bytes = str
    PY3 = False
else:
    unicode = str
    PY3 = True

#add lib path    
playbook_file = os.path.realpath(sys.argv[0])
playbook_path = os.path.split(playbook_file)[0]   

lib_path=os.path.join(playbook_path,'library')
if os.path.exists(lib_path) is True:
    sys.path.insert(0,lib_path)
    lib_path=os.path.join(lib_path,'securecat')
    if os.path.exists(lib_path) is True:
        sys.path.insert(0,lib_path)
        modulepath = os.environ.get('CSC_MODULE_PATH')
        if modulepath is None:
            os.environ['CSC_MODULE_PATH'] = lib_path

class MyPlaybook(playbook.Playbook):

    def set_extra_vars_pre(self):
        pass

    def set_extra_vars_post(self):
        var_kafka_config_file = self._runcontext.get_extra_var('WORKDIR')
        # hostguard write WROKDIR=/usr/local/kafka
        var_kafka_config_file = var_kafka_config_file + '/config'
        self._runcontext.set_extra_var('KAFKA_CONFIG_FILE', var_kafka_config_file)
        if var_kafka_config_file == None:
            raise Exception('Must specify extra variable KAFKA_CONFIG_FILE.')

    def get_tasks(self, dir):
        ret = []
        ret.append([dir, 't_1_1.py'])

        return ret

if __name__ == '__main__':
    
    myplaybook = MyPlaybook()
    myplaybook.set_role('hw')
    myplaybook.run()
    

